"use strict";
const common_vendor = require("../../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "OfficialAccount",
  setup(__props) {
    const show = common_vendor.ref(true);
    common_vendor.onShow(() => {
      let res = common_vendor.index.getLaunchOptionsSync();
      if ((res == null ? void 0 : res.scene) === 1011 || (res == null ? void 0 : res.scene) === 1025 || (res == null ? void 0 : res.scene) === 1017 || (res == null ? void 0 : res.scene) === 1047 || (res == null ? void 0 : res.scene) === 1124) {
        setTimeout(() => {
          show.value = false;
        }, 1e4);
      }
      console.log("res", res);
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: show.value
      }, show.value ? {} : {});
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-fac62d9a"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/pages/index/components/OfficialAccount.vue"]]);
wx.createComponent(Component);
